


/**********************************************
/*   A Basic Linear Congruential Generator
/*  ---------------------------------------
/*  Program By: NickDMax for Dreamincode.net
/*  02/23/2007
/*
/*  You may use this code as you see fit
/**********************************************/
#ifndef LCG
#define LCG

//#include <iostream.h>
#include <iostream>
#include <ctime>

//This class will give satisfy basic
// random number considerations for
// games an general apps.
// WARNING: Not for Cryprographic use
//   Not for statistical methods.
class BasicLCG {
    
    private:
        unsigned long iCurrent;
    public:
        BasicLCG();
        BasicLCG(unsigned long);
        void seed(unsigned long iSeed);
        unsigned long nextNumber(); //get the next random number
        unsigned short int nextInt();
        unsigned char nextChar();
        int nextBit();
        double nextDouble();
        int Next(int min, int max);
};

#endif

